# Uses of Enum
org.apache.commons.math3.optimization.general.ConjugateGradientFormula

Packages that use ConjugateGradientFormula
Package
Description
org.apache.commons.math3.optimization.general
This package provides optimization algorithms that require derivatives.

## Uses of ConjugateGradientFormula in org.apache.commons.math3.optimization.general

Methods in org.apache.commons.math3.optimization.general that return ConjugateGradientFormula
Modifier and Type
Method
Description
`static ConjugateGradientFormula`
ConjugateGradientFormula.`valueOf(String name)`
Deprecated.
Returns the enum constant of this type with the specified name.
`static ConjugateGradientFormula[]`
ConjugateGradientFormula.`values()`
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.commons.math3.optimization.general with parameters of type ConjugateGradientFormula
Modifier
Constructor
Description
``
`NonLinearConjugateGradientOptimizer(ConjugateGradientFormula updateFormula)`
Deprecated.
See `SimpleValueChecker()`
``
`NonLinearConjugateGradientOptimizer(ConjugateGradientFormula updateFormula, ConvergenceChecker<PointValuePair> checker)`
Deprecated.
Constructor with default `line search solver` and `preconditioner`.
``
`NonLinearConjugateGradientOptimizer(ConjugateGradientFormula updateFormula, ConvergenceChecker<PointValuePair> checker, UnivariateSolver lineSearchSolver)`
Deprecated.
Constructor with default `preconditioner`.
``
`NonLinearConjugateGradientOptimizer(ConjugateGradientFormula updateFormula, ConvergenceChecker<PointValuePair> checker, UnivariateSolver lineSearchSolver, Preconditioner preconditioner)`
Deprecated.